#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

newproperty(:character_set, :parent => PuppetX::EnterpriseModules::Oracle::ReadOnlyProperty) do
  include EasyType
  include PuppetX::EnterpriseModules::Oracle::Access
  include PuppetX::EnterpriseModules::Oracle::Information

  to_translate_to_resource do |raw_resource|
    database_properties(raw_resource['SID']).find { |e| e['PROPERTY_NAME'] == 'NLS_CHARACTERSET' }['VALUE'] if raw_resource['STATE'] == 'running'
  end

  desc <<-DESC
    Specify the character set the database uses to store data.
  DESC

  data_type('Optional[String[1]]')
  on_apply do
    "character set #{value}"
  end
end
