# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:management_policy) do
  include PuppetX::EnterpriseModules::Oracle::Mungers::Upcase
  include PuppetX::EnterpriseModules::Oracle::ServiceProperty

  desc <<-DESC
    Service management policy.

    Here is an example on how to use this:

        ora_service{'my_service':
          ...
          management_policy => 'AUTOMATIC',
          ...
        }

    Puppet provides no default value. But Oracle might, depending on your version.

    This is a cluster only property. On single node database this property will be ignored. If you use it,
    Puppet will issue a warning.

  DESC
  column_name 'Management policy'
  newvalues(:AUTOMATIC, :MANUAL, :automatic, :manual)
  data_type("Optional[Enum['AUTOMATIC', 'MANUAL', 'automatic', 'manual']]")
end
